import { IProduct, TMediaSize } from '@orderingstack/ordering-types';
/**
 *
 * @param originalMenu
 * @param markOnly - boolean to only mark products with "outsideAvailabilitySlot" flag, if false removes products
 * @param timeZone - venue timezone
 * @param interval - availability checking interval [seconds]
 * @param prefetchImageSizes - images sizes to be pre-fetched from OST media storage on menu loaded
 */
export declare function useAvailability(originalMenu?: IProduct[], markOnly?: boolean, timeZone?: string | undefined, interval?: number, prefetchImageSizes?: TMediaSize[] | undefined): IProduct[] | undefined;
//# sourceMappingURL=useAvailability.d.ts.map